summaryrefslogtreecommitdiffstats
path: root/rhino
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-05-05 10:54:18 +0000
committer Eric Hameleers <alien@slackware.com>2016-05-05 10:54:18 +0000
commit6284718a02470a1864231de676bda5d10e4659d5 (patch)
tree40bb80c0c8df5ff9d7b754494d025476e3001309 /rhino
parentb26ce594a8a96bacb9af22bfd7cff129d434de58 (diff)
downloadasb-6284718a02470a1864231de676bda5d10e4659d5.tar.gz
asb-6284718a02470a1864231de676bda5d10e4659d5.tar.xz
rhino: updated to 1.7.7.1
Diffstat (limited to 'rhino')
-rwxr-xr-xrhino/build/rhino.SlackBuild17
1 files changed, 10 insertions, 7 deletions
diff --git a/rhino/build/rhino.SlackBuild b/rhino/build/rhino.SlackBuild
index 3504e44a..9bcf0c66 100755
--- a/rhino/build/rhino.SlackBuild
+++ b/rhino/build/rhino.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2011 Eric Hameleers, Eindhoven, NL
+# Copyright 2011, 2016 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,6 +32,8 @@
# Changelog:
# 1_7R3-1: 28/nov/2011 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 1.7.7.1-1: 05/may/2016 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh xalan.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -42,11 +44,11 @@
# Set initial variables:
PRGNAM=rhino
-VERSION=${VERSION:-1_7R3}
+VERSION=${VERSION:-1.7.7.1}
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
-DOCS="LICENSE*"
+DOCS="LICENSE.txt NOTICE.txt release-steps.txt"
EXTENDED_DOCS=${EXTENDED_DOCS:-NO} # Set to "YES" if you need the developer docs
# Use the standardized ANT_HOME location:
@@ -60,8 +62,8 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SOURCE="$SRCDIR/rhino${VERSION}.zip"
-SRCURL="ftp://ftp.mozilla.org/pub/mozilla.org/js/rhino${VERSION}.zip"
+SOURCE="$SRCDIR/rhino-${VERSION}.zip"
+SRCURL="https://github.com/mozilla/rhino/releases/download/Rhino$(echo $VERSION |tr . _)_RELEASE/rhino-${VERSION}.zip"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -127,7 +129,8 @@ chmod -R u+w,go+r-w,a+X-s .
# Copy the ant libraries into place
mkdir -p $PKG/${ANT_HOME}/lib
mkdir -p $PKG/usr/share/java
-cp -a js.jar $PKG/${ANT_HOME}/lib/${PRGNAM}.jar
+cp -a lib/${PRGNAM}-${VERSION}.jar $PKG/${ANT_HOME}/lib/
+ln -s ${PRGNAM}-${VERSION}.jar $PKG/${ANT_HOME}/lib/${PRGNAM}.jar
# Make the ant jars available in the java environment:
mkdir -p $PKG/usr/share/java
@@ -139,7 +142,7 @@ done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
if [ "$EXTENDED_DOCS" != "NO" ]; then
- cp -a javadoc/* $PKG/usr/doc/$PRGNAM-$VERSION || true
+ cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION || true
fi
cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION